For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customs, Immigration and Quarantine facilities availability

Get 24 hours of CIQ availability information starting from specified date and time.

GET https://api.aviowiki.com/airports/{aid}/availability/ciq

Path Parameters

Name
Type
Description

aid*

String

Aviowiki ID of the airport

Query Parameters

Name
Type
Description

dateTime

String

Range start for the availability retrieval. Default value: now. Datetime format: ISO 8601.

local

Boolean

Whether to use local time or UTC. If true the dateTime query parameter shall be provided in local time as well. Default value: false

Headers

Name
Type
Description

Authorization

String

An API Token using Bearer authorization.

The detailed properties of the returned item can be found in the CIQ Availability documentation.

[
	{
		"validFrom": "2022-07-26T00:00:00",
		"validTo": "2022-07-26T23:59:59.999999999",
		"status": "FULL"
	}
]

{
	"error": "The com.aviowiki.dao.Airport identified by the AID {AID} does not exist in the system",
	"timestamp": "2022-07-26T16:23:01.474034802Z",
	"status": 404,
	"message": "The com.aviowiki.dao.Airport identified by the AID {AID} does not exist in the system",
	"path": "/airports/{AID}/availability"
}

Last updated